""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from celery.utils.log import get_task_logger
from importlib import import_module


logger = get_task_logger(__name__)


try:
    def ansible_filters():
        filters_lookup = {
            "ansible_collections.ansible.utils.plugins.filter": ["ipmath", "ipaddr", "ipwrap", "next_nth_usable", "reduce_on_network", "network_in_usable", "ipv6", "nthhost", "ip4_hex", "ipv4", "slaac", "hwaddr", "cidr_merge", "ipsubnet", "macaddr", "previous_nth_usable", "network_in_network"],
            "ansible.plugins.filter": ["urlsplit", "mathstuff", "core"],
            "ansible_collections.ansible.netcommon.plugins.filter": ["network"],
            "ansible_collections.community.general.plugins.filter": ["json_query", "random_mac"]
        }

        filters_dict = dict()
        for package, module_list in filters_lookup.items():
            for  module in module_list:
                filter_module = getattr(import_module(f".{module}", package=package), "FilterModule")
                filters_dict.update(filter_module().filters())
        
        return filters_dict
    
except ImportError:
    logger.warn('Ansible python package is not installed. Please install it to continue using ansible plugin filters.')

