""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import json
import os

from glob import glob
from django.core.management.base import BaseCommand
from expression_builder.utility import insert_jinja_record


class Command(BaseCommand):
    help = 'Add all custom supported jinja functions into DB'

    def handle(self, *args, **options):
        try:
            BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
            custom_fixture_dir = os.path.join(BASE_DIR, '..', 'custom')
            for filename in glob(custom_fixture_dir + '**/*.json'):
                custom_fixture_path = os.path.join(custom_fixture_dir, filename)
                with open(custom_fixture_path) as json_data:
                    model_data = json.load(json_data)
                    insert_jinja_record(model_data)
        except Exception as e:
            return self.stdout.write(
                self.style.ERROR('Error, while inserting custom data fixture for functions: Error {0}'.format(str(e))))
        return self.stdout.write(self.style.SUCCESS('Successfully inserted custom jinja functions!'))
