""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.core.management.base import BaseCommand

from expression_builder.utility import insert_default_jinja_expressions


class Command(BaseCommand):
    help = 'Add all default supported jinja expressions into DB'

    def handle(self, *args, **options):
        try:
            insert_default_jinja_expressions()
        except Exception as e:
            return self.stdout.write(
                self.style.ERROR('Error, while inserting default data fixture for expressions: Error {0}'.format(str(e))))
        return self.stdout.write(self.style.SUCCESS('Successfully inserted default jinja expressions!'))

