""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
# Generated by Django 3.2.5 on 2022-01-03 17:45

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Actor',
            fields=[
                ('uuid', models.CharField(max_length=100, primary_key=True, serialize=False, unique=True)),
                ('metadata', models.JSONField(blank=True, default=dict, null=True)),
                ('preferences', models.JSONField(blank=True, default=dict, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Channel',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('type', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=1024, blank=True, null=True)),
                ('config', models.JSONField(blank=True, default=dict, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('default_params', models.JSONField(blank=True, default=dict, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Rule',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('entity_type', models.CharField(max_length=255)),
                ('event_type', models.CharField(max_length=255)),
                ('trigger_condition', models.JSONField(blank=True, default=dict, null=True)),
                ('actions', models.JSONField(blank=True, default=list, null=True)),
                ('is_system', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('priority', models.PositiveSmallIntegerField(default=10)),
                ('event_source', models.CharField(max_length=255)),
                ('visible', models.BooleanField(default=True)),
                ('source', models.CharField(max_length=255, null=True)),
                ('channel_preference_field', models.CharField(max_length=255, null=True)),
            ],
            options={
                'ordering': ['priority'],
            },
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('uuid', models.CharField(max_length=100, primary_key=True, serialize=False, unique=True)),
                ('metadata', models.JSONField(blank=True, default=dict, null=True)),
                ('users', models.ManyToManyField(to='rules_engine.Actor')),
            ],
        ),
        migrations.CreateModel(
            name='SystemNotification',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('content', models.CharField(max_length=4096)),
                ('footer', models.JSONField(blank=True, default=list, null=True)),
                ('entity_type', models.CharField(max_length=255)),
                ('event_type', models.CharField(max_length=255)),
                ('entity_id', models.CharField(max_length=255)),
                ('read', models.BooleanField(default=False)),
                ('dismissible', models.BooleanField(default=False)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('roles', models.JSONField(blank=True, default=list, null=True)),
                ('teams', models.ManyToManyField(to='rules_engine.Team')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='rules_engine.actor')),
            ],
        ),
        migrations.CreateModel(
            name='PendingActions',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('action_type', models.CharField(max_length=255)),
                ('channel_uuid', models.UUIDField(blank=True, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('entity_type', models.CharField(max_length=255)),
                ('event_type', models.CharField(max_length=255)),
                ('entity_ids', models.JSONField(blank=True, default=list, null=True)),
                ('metadata', models.JSONField(blank=True, default=dict, null=True)),
                ('error_message', models.CharField(max_length=4096)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('rule', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='rules_engine.rule')),
            ],
        ),
        migrations.RunSQL("DROP TABLE IF EXISTS rulegin_rule"),
    ]
