""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.core.management.base import BaseCommand
import os
import importlib
from configparser import RawConfigParser
from os.path import join
from shutil import copyfile
BASE_DIR = "/opt/cyops-workflow/sealab"
value = ''
    #os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

class Command(BaseCommand):

    help = 'Merges the Config.py to Config.ini with priority to values in Config.py'

    def handle(self, *args, **options):
        CONFIG_DIR = join(BASE_DIR, 'sealab')
        PREV_CONFIG_FILE = 'config.py'
        CONFIG_FILE = 'config.ini'
        prevConfigExists = os.path.isfile(join(CONFIG_DIR, PREV_CONFIG_FILE))

        if prevConfigExists:
            application_config = RawConfigParser()
            application_config.optionxform = str

            try:
                application_config.read(join(CONFIG_DIR, CONFIG_FILE))
            except ImportError as ie:
                raise (ie)

            sections = application_config.sections()
            for section in sections:
                options = application_config.options(section)
                for option in options:
                    option = option.upper()
                    try:
                        value = getattr(importlib.import_module("sealab.config"), option)
                        if not type(value) == 'str':
                            value = str(value)
                        try:
                            application_config.set(section, option, value)
                        except:
                            self.stdout.write(self.style.WARNING('Warning: Error in setting value for:: %s'%str(option)))
                    except Exception as e:
                        self.stdout.write(self.style.WARNING('Warning: %s not found in previous configuration'%str(e)))
            with open(join(CONFIG_DIR, CONFIG_FILE), 'w') as configfile:
                try:
                    application_config.write(configfile)
                    os.rename(join(CONFIG_DIR, PREV_CONFIG_FILE), join(CONFIG_DIR, "temp_" + PREV_CONFIG_FILE))
                except Exception as e:
                    return self.stdout.write(self.style.ERROR('Error: Failed to Migrated the CONFIG.PY to CONFIG.INI:: %s', str(e)))
            return self.stdout.write(self.style.SUCCESS('Successfully Migrated the CONFIG.PY to CONFIG.INI.'))

