# -*- coding: utf-8 -*-
""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='QueuedWorkflow',
            fields=[
                ('id', models.AutoField(serialize=False, auto_created=True, verbose_name='ID', primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='RunningWorkflow',
            fields=[
                ('id', models.AutoField(serialize=False, auto_created=True, verbose_name='ID', primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Step',
            fields=[
                ('id', models.AutoField(serialize=False, auto_created=True, verbose_name='ID', primary_key=True)),
                ('name', models.CharField(max_length=500)),
                ('task', models.CharField(max_length=500)),
                ('status', models.CharField(default='paused', choices=[('active', 'active'), ('paused', 'paused'), ('awaiting', 'awaiting'), ('finished', 'finished')], max_length=30)),
                ('initial', models.BooleanField(default=True)),
                ('dependencies', models.ManyToManyField(to='workflow.Step', blank=True, related_name='depends_on')),
                ('next_steps', models.ManyToManyField(to='workflow.Step', blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Workflow',
            fields=[
                ('id', models.AutoField(serialize=False, auto_created=True, verbose_name='ID', primary_key=True)),
                ('status', models.CharField(default='queued', choices=[('queued', 'queued'), ('active', 'active'), ('paused', 'paused'), ('finished', 'finished')], max_length=30)),
                ('name', models.CharField(max_length=500)),
                ('workflow_id', models.IntegerField()),
            ],
        ),
        migrations.AddField(
            model_name='step',
            name='workflow',
            field=models.ForeignKey(to='workflow.Workflow', on_delete=models.DO_NOTHING),
        ),
        migrations.AddField(
            model_name='runningworkflow',
            name='workflow',
            field=models.ForeignKey(to='workflow.Workflow', on_delete=models.DO_NOTHING),
        ),
        migrations.AddField(
            model_name='queuedworkflow',
            name='workflow',
            field=models.ForeignKey(to='workflow.Workflow', on_delete=models.DO_NOTHING),
        ),
    ]
