""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
# Generated by Django 2.2.3 on 2019-11-14 07:26

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('workflow', '0025_auto_20190717_0630'),
    ]

    operations = [
        migrations.CreateModel(
            name='Config',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('section', models.CharField(max_length=100)),
                ('key', models.TextField()),
                ('value', models.TextField(blank=True, null=True)),
                ('type', models.CharField(blank=True, max_length=20, null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='workflow',
            name='status',
            field=models.CharField(choices=[('incipient', 'incipient'), ('active', 'active'), ('paused', 'paused'), ('failed', 'failed'), ('finished', 'finished'), ('awaiting', 'awaiting'), ('rejected', 'rejected'), ('skipped', 'skipped'), ('finished with error', 'finished_with_error'), ('terminated', 'terminated')], default='incipient', max_length=30),
        ),
        migrations.CreateModel(
            name='WFMetadata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('template_iri', models.URLField(max_length=800)),
                ('wf_modified', models.DateTimeField()),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
            ],
            options={
                'unique_together': {('template_iri', 'wf_modified')},
            },
        ),
        migrations.CreateModel(
            name='StepMetadata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('template_iri', models.URLField(max_length=800)),
                ('wf_modified', models.DateTimeField()),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
            ],
            options={
                'unique_together': {('template_iri', 'wf_modified')},
            },
        ),
        migrations.AddField(
            model_name='step',
            name='metadata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='workflow.StepMetadata'),
        ),
        migrations.AddField(
            model_name='workflow',
            name='metadata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='workflow.WFMetadata'),
        ),
    ]
