""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
# Generated by Django 3.2.5 on 2021-08-02 23:40

from django.db import migrations, models
import django.contrib.postgres.fields.jsonb
from django.db import migrations
from django.db.models import F


def copy_field(apps, schema):
    # Todo: migrate data from owner to owners
    WorkflowInput = apps.get_model("workflow", "WorkflowInput")
    allInputs = WorkflowInput.objects.all()
    for input in allInputs:
        owners = [input.owner] if input.owner else []
        ownerIris = []
        for owner in owners:
            iri = owner.get('iri') if isinstance(owner, dict) else owner
            ownerIris.append(iri)
        input.owners = ownerIris
        input.save()

class Migration(migrations.Migration):

    dependencies = [
        ('workflow', '0033_auto_20210716_0713'),
    ]

    operations = [
        migrations.AddField(
            model_name='workflowinput',
            name='owners',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=list, null=True),
        ),
        migrations.RunPython(copy_field),
        migrations.RemoveField(
            model_name='workflowinput',
            name='owner',
        ),
    ]

