""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
# Generated by Django 3.2.5 on 2022-01-10 11:24

import django.contrib.postgres.fields
from django.db import migrations, models


def copy_field(app, schema):
    workflowinput = app.get_model('workflow', 'WorkflowInput')
    wfinputs = workflowinput.objects.all().only('id', 'owners')
    for wfinput in wfinputs:
        if wfinput.owners:
            new_owners = wfinput.owners
            if '/api/3/owners/none' in new_owners: new_owners.remove('/api/3/owners/none')
            wfinput.new_owners = new_owners
            wfinput.save()


class Migration(migrations.Migration):
    dependencies = [
        ('workflow', '0036_auto_20211001_1248'),
    ]

    operations = [
        migrations.AddField(
            model_name='workflowinput',
            name='new_owners',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True,
                                                            default=list, null=True, size=None),
        ),

        migrations.RunPython(copy_field),

        migrations.RemoveField(
            model_name='workflowinput',
            name='owners',
        ),
        migrations.RenameField(
            model_name='workflowinput',
            old_name='new_owners',
            new_name='owners',
        ),

    ]
