""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ('workflow', '0044_alter_step_status'),
    ]

    # Reference values for pg_squeeze:
    # autovacuum_work_mem = -1, log_autovacuum_min_duration = -1, autovacuum_max_workers = 4,
    # autovacuum_vacuum_threshold = 35, autovacuum_analyze_threshold = 35,
    # autovacuum_vacuum_scale_factor = 0.1, autovacuum_analyze_scale_factor = 0.1,
    # autovacuum_freeze_max_age = 200000000, autovacuum_multixact_freeze_max_age = 400000000,
    # autovacuum_vacuum_cost_delay = 0.5, autovacuum_vacuum_cost_limit = -1,
    # vacuum_cost_limit = 200,

    autovacuum_properties = ("autovacuum_enabled, autovacuum_vacuum_threshold, "
                             "autovacuum_vacuum_scale_factor, autovacuum_analyze_threshold, "
                             "autovacuum_analyze_scale_factor, autovacuum_vacuum_cost_delay, "
                             "autovacuum_vacuum_cost_limit, autovacuum_freeze_min_age, "
                             "autovacuum_freeze_max_age, autovacuum_freeze_table_age, "
                             "autovacuum_multixact_freeze_min_age, autovacuum_multixact_freeze_max_age, "
                             "autovacuum_multixact_freeze_table_age")
    operations = [
        migrations.RunSQL("CREATE EXTENSION IF NOT EXISTS pg_squeeze"),
        migrations.RunSQL("CREATE EXTENSION IF NOT EXISTS pg_repack"),
        migrations.RunSQL(f"ALTER TABLE workflow_workflow RESET ({autovacuum_properties});"),
        migrations.RunSQL(f"ALTER TABLE workflow_step RESET ({autovacuum_properties});"),
        migrations.RunSQL(f"ALTER TABLE workflow_step_next_steps RESET ({autovacuum_properties});"),
        migrations.RunSQL(f"ALTER TABLE workflow_step_dependencies RESET ({autovacuum_properties});")
    ]
